API DocumentationManufacturer assembly controller

Get assembly by ID

Retrieves a specific assembly by its ID

GET
/api/manufacturer/v1/assemblies/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idstring

Assembly ID

Formatuuid

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/assemblies/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "assemblyPrice": 0,
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",
      "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",
      "partName": "string",
      "positionX": 0,
      "positionY": 0,
      "positionZ": 0,
      "rotationX": 0,
      "rotationY": 0,
      "rotationZ": 0
    }
  ],
  "customerReferences": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "customerOrganisationId": 0,
      "customerOrganisationName": "string",
      "reference": "string",
      "pricingTiers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "quantity": 0,
          "price": 0
        }
      ],
      "showInCatalog": true
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
Empty

Last updated on